Bug 92130 - mysql 4.0.13 from rawhide source builds with spurious dependencies
mysql 4.0.13 from rawhide source builds with spurious dependencies
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-06-02 20:59 EDT by Shankar Unni
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-10 11:58:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shankar Unni 2003-06-02 20:59:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030529

Description of problem:
I got the mysql-4.0.13-2.src.rpm from the Rawhide source directory and built it
on RedHat 8.0. The build was successful, but the resultant RPMs had a couple of
spurious dependencies:

mysql-4.0.13-2.i386.rpm has a spurious dependency on "Perl(the)".
mysql-bench-4.0.13-2.i386.rpm has a spurious dependency on "Perl(this)".

My system is largely unmodified except for running Perl 5.8.0 with some modules
(those required by Bugzilla) updated via CPAN.

Version-Release number of selected component (if applicable):
mysql-4.0.13-2.src.rpm from rawhide source

How reproducible:
Didn't try

Steps to Reproduce:
1. Download mysql-4.0.13-2.src.rpm from rawhide FTP directory.
2. Build with rpm --recompile.
3. Examine the resultant RPMs for the above symptoms.

Actual Results:  See the description above.

Expected Results:  No bad Perl module dependencies.

Additional info:
Comment 1 Patrick Macdonald 2003-06-03 09:02:41 EDT
Correct.  And that's why there is a filter-requires-mysql.sh in the source rpm.
Edit the source rpm and look at this file.  The script is used to grab any
spurious Perl(th*) dependencies at install time.  This is not new to this release
as the filter-requires-mysql.sh was included in the mysql package in RHL 8.0.

If anything, this is an rpm bug when you have Perl dependencies. 

Did the rpms install for you? 
Comment 2 Patrick Macdonald 2003-06-10 11:58:48 EDT
No response after a week.  Closing.
Comment 3 Shankar Unni 2003-06-10 13:13:43 EDT
Sorry I didn't see the mail while I was away. 

Yes, they did install after I passed in a "--nodeps" to rpm -Uvh. But it wasn't
clear who was supposed to run filter-requires-mysql.sh or how. I just downloaded
the src rpm and did a "rpmbuild" on it. Was there an additional step that I missed?
Comment 4 Patrick Macdonald 2003-06-10 13:35:54 EDT
The filter file is used at install time, not build time.  You may get a 
few spurious rpm-based Perl dependency messages (as noted) but the 
filter script will allow a clean install (or upgrade). 

Note You need to log in before you can comment on or make changes to this bug.